Skip to main content
PATCH
Update shop settings

Authorizations

Authorization
string
header
required

Your API key, e.g. sk_live_... or sk_test_....

Headers

Idempotency-Key
string

Optional. Makes this write safe to retry: the same key replays the first response instead of acting twice.

Maximum string length: 255

Path Parameters

connection
string
required

Connection uuid.

Body

application/json
catalog_id
string | null
Pattern: ^\d+$
is_catalog_visible
boolean
is_cart_enabled
boolean
order_handoff_url
string<uri> | null

Response

Shop settings.

catalog_id
string | null
connected_catalogs
object[]
is_catalog_visible
boolean
is_cart_enabled
boolean
order_handoff_url
string | null
Example:

"https://wa.me/c/919812345670"